Bug 248123 - rpcbind does not open dedicated IPv4 socket if net.ipv6.bindv6only=1
rpcbind does not open dedicated IPv4 socket if net.ipv6.bindv6only=1
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-13 08:10 EDT by Peter Bieringer
Modified: 2008-06-16 21:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2007-07-13 08:10:15 EDT
Description of problem:
If net.ipv6.bindv6only=1 is enabled in kernel, rpcbind does not bind
additionally to IPv4 any address, which lead to problems of RPC processes which
want to register.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. sysctl -w net.ipv6.bindv6only=1
2. service rpcbind restart
3. service nfs restart
Actual results:
nfs restart hangs, can't connect rpcbind

Expected results:
rpcbind would bind to IPv4 address also in this case
Comment 1 Steve Dickson 2007-07-26 12:11:48 EDT
Try switch the order of the udp/tcp and udp2/tcp6
network ids similar to below and then restart rpcbind:
--- /etc/netconfig.orig   2005-05-18 01:10:50.000000000 -0400
+++ /etc/netconfig    2007-07-24 09:45:40.000000000 -0400
@@ -10,10 +10,10 @@
 # The <device> and <nametoaddr_libs> fields are always empty in this
 # implementation.
-udp6       tpi_clts      v     inet6    udp     -       -
-tcp6       tpi_cots_ord  v     inet6    tcp     -       -
 udp        tpi_clts      v     inet     udp     -       -
 tcp        tpi_cots_ord  v     inet     tcp     -       -
+udp6       tpi_clts      v     inet6    udp     -       -
+tcp6       tpi_cots_ord  v     inet6    tcp     -       -
 rawip      tpi_raw       -     inet      -      -       -
 local      tpi_cots_ord  -     loopback  -      -       -
 unix       tpi_cots_ord  -     loopback  -      -       -

Comment 2 Peter Bieringer 2007-07-27 01:16:34 EDT
The suggestion in https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=248123#c1
won't help. Here only an IPv4 socket would be openend, regardless whether
net.ipv6.bindv6only is 0 or 1 - which is also unexpected.

Looks like code needs to be extended.
Comment 3 Bug Zapper 2008-05-14 09:32:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:52:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.